package com.sunxung.factoring.service.credit;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.GridPage;
import com.sunxung.factoring.entity.credit.CreditInfo;
import com.sunxung.factoring.entity.entprise.Enterprise;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

public interface CreditService extends IService<CreditInfo> {

    GridPage findByName(String name, Integer type, Integer page, Integer rows);

    void add(CreditInfo creditInfo);

    void update(CreditInfo creditInfo);

    FileStorage getAuthAddress(String cardNo) throws Exception;

    List<Enterprise> getBusinessByKeyWord(String keyword);

    CreditInfo get(Long id);
}
